## akonadi-calendar-tools 25.08.1

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.16 FATAL_ERROR)
set(PIM_VERSION "6.5.1")
project(akonadi-calendar-tools VERSION ${PIM_VERSION})

set(KF_MIN_VERSION "6.14.0")
set(QT_REQUIRED_VERSION "6.8.0")
find_package(ECM ${KF_MIN_VERSION} CONFIG REQUIRED)
set(CMAKE_MODULE_PATH ${ECM_MODULE_PATH})
include(ECMInstallIcons)


include(ECMSetupVersion)
include(ECMAddTests)

include(GenerateExportHeader)
include(ECMGenerateHeaders)

include(KDEGitCommitHooks)
include(KDEClangFormat)
file(GLOB_RECURSE ALL_CLANG_FORMAT_SOURCE_FILES *.cpp *.h *.c)
kde_clang_format(${ALL_CLANG_FORMAT_SOURCE_FILES})
include(CheckFunctionExists)

include(KDEInstallDirs)
include(KDECMakeSettings)
include(KDECompilerSettings NO_POLICY_SCOPE)
include(ECMAddAppIcon)
include(ECMQtDeclareLoggingCategory)
include(ECMDeprecationSettings)
include(ECMFeatureSummary)
# Do NOT add quote
set(KDEPIM_DEV_VERSION)

# add an extra space
if(DEFINED KDEPIM_DEV_VERSION)
    set(KDEPIM_DEV_VERSION " ${KDEPIM_DEV_VERSION}")
endif()

set(KDEPIM_VERSION "${PIM_VERSION}${KDEPIM_DEV_VERSION}")


set(AKONADICALENDAR_LIB_VERSION "6.5.1")
set(AKONADI_VERSION "6.5.1")
set(CALENDARSUPPORT_LIB_VERSION "6.5.1")
set(KDEPIM_LIB_VERSION "${PIM_VERSION}")
set(KDEPIM_LIB_SOVERSION "6")

find_package(Qt6 ${QT_REQUIRED_VERSION} CONFIG REQUIRED Widgets)


# Find KF6 package
find_package(KF6I18n ${KF_MIN_VERSION} REQUIRED)
find_package(KF6DocTools ${KF_MIN_VERSION})
set_package_properties(KF6DocTools PROPERTIES DESCRIPTION
    "Tools to generate documentation"
    TYPE OPTIONAL
)

# Find KdepimLibs Package
find_package(KPim6Akonadi ${AKONADI_VERSION} CONFIG REQUIRED)
find_package(KF6CalendarCore ${KF_MIN_VERSION}  CONFIG REQUIRED)
find_package(KPim6AkonadiCalendar ${AKONADICALENDAR_LIB_VERSION} CONFIG REQUIRED)
find_package(KPim6CalendarSupport ${CALENDARSUPPORT_LIB_VERSION} CONFIG REQUIRED)

include_directories(${akonadi-calendar-tools_SOURCE_DIR} ${akonadi-calendar-tools_BINARY_DIR})

configure_file(console-version.h.in ${CMAKE_CURRENT_BINARY_DIR}/console-version.h @ONLY)


add_definitions(-DQT_NO_CONTEXTLESS_CONNECT)
ecm_set_disabled_deprecation_versions(QT 6.8.1 KF 6.16.0)

add_definitions(-DQT_NO_EMIT)
option(USE_UNITY_CMAKE_SUPPORT "Use UNITY cmake support (speedup compile time)" OFF)

set(COMPILE_WITH_UNITY_CMAKE_SUPPORT OFF)
if (USE_UNITY_CMAKE_SUPPORT)
    set(COMPILE_WITH_UNITY_CMAKE_SUPPORT ON)
    add_definitions(-DCOMPILE_WITH_UNITY_CMAKE_SUPPORT)
endif()

add_subdirectory(calendarjanitor)
add_subdirectory(konsolekalendar)

ecm_qt_install_logging_categories(
        EXPORT AKONADICALENDARTOOLS
        FILE console.categories
        DESTINATION ${KDE_INSTALL_LOGGINGCATEGORIESDIR}
        )

kde_configure_git_pre_commit_hook(CHECKS CLANG_FORMAT)

ki18n_install(po)
if(KF6DocTools_FOUND)
    kdoctools_install(po)
    add_subdirectory(doc)
endif()


ecm_feature_summary(WHAT ALL FATAL_ON_MISSING_REQUIRED_PACKAGES)

=== debian/changelog ===
akonadi-calendar-tools (4:25.08.1-0ubuntu1) questing; urgency=medium

  * New upstream release (25.08.1)

 -- Rik Mills <rikmills@kde.org>  Thu, 11 Sep 2025 07:03:37 +0100

=== debian/control ===
Source: akonadi-calendar-tools
Section: kde
Priority: optional
Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Michael Meskes <meskes@debian.org>,
           Sandro Knauß <hefee@debian.org>,
           Sune Vuorela <sune@debian.org>,
           Patrick Franz <deltaone@debian.org>,
Build-Depends: cmake (>= 3.16~),
               debhelper-compat (= 13),
               dh-sequence-kf6,
               extra-cmake-modules (>= 6.6.0~),
               gettext,
               libakonadi-dev (>= 4:25.08.1~),
               libakonadicalendar-dev (>= 4:25.08.1~),
               libcalendarsupport-dev (>= 4:25.08.1~),
               libkf6calendarcore-dev (>= 6.6.0~),
               libkf6doctools-dev (>= 6.6.0~),
               libkf6i18n-dev (>= 6.6.0~),
               libxkbcommon-dev,
               pkgconf,
               qt6-base-dev (>= 6.7.0~),
Standards-Version: 4.7.0
Homepage: https://invent.kde.org/pim/akonadi-calendar-tools
Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/akonadi-calendar-tools
Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/akonadi-calendar-tools
Rules-Requires-Root: no

Package: konsolekalendar
Architecture: amd64 arm64 armhf i386
Depends: kdepim-runtime, ${misc:Depends}, ${shlibs:Depends},
Description: konsole personal organizer
 KonsoleKalendar is a command-line interface to KDE calendars.
 KonsoleKalendar complements KOrganizer by providing a console
 frontend to manage your calendars.

## akonadi-calendar-tools 25.08.1+p24.04+vstable+git20250920.0944

=== debian/changelog ===
akonadi-calendar-tools (4:25.08.1+p24.04+vstable+git20250920.0944-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Sat, 20 Sep 2025 09:45:00 +0000

akonadi-calendar-tools (4:25.08.1-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 09 Sep 2025 09:10:32 +0000

akonadi-calendar-tools (4:25.08.0-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 14 Aug 2025 12:43:24 +0000

akonadi-calendar-tools (4:25.04.3-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Sat, 05 Jul 2025 11:27:38 +0000

akonadi-calendar-tools (4:25.04.2-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 05 Jun 2025 10:41:54 +0000

akonadi-calendar-tools (4:25.04.1-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 08 May 2025 04:33:07 +0000

akonadi-calendar-tools (4:25.04.0-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 17 Apr 2025 11:16:23 +0000

akonadi-calendar-tools (4:24.12.3-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Sat, 08 Mar 2025 13:42:43 +0000

akonadi-calendar-tools (4:24.12.2-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Fri, 07 Feb 2025 14:49:31 +0000

akonadi-calendar-tools (4:24.12.1-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 09 Jan 2025 19:40:45 +0000

akonadi-calendar-tools (4:24.12.0-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 11 Dec 2024 18:38:37 +0000

akonadi-calendar-tools (4:24.08.3-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 07 Nov 2024 10:38:21 +0000

akonadi-calendar-tools (4:24.08.2-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Mon, 14 Oct 2024 21:10:14 +0000

akonadi-calendar-tools (4:24.08.1-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Sun, 22 Sep 2024 07:48:35 +0000

akonadi-calendar-tools (4:24.08.0-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 19 Jun 2024 10:03:05 +0000

akonadi-calendar-tools (4:24.05.0-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 11 Apr 2024 11:38:18 +0000

akonadi-calendar-tools (4:24.02.1-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 20 Mar 2024 17:07:09 +0000

akonadi-calendar-tools (4:24.02.0-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Mon, 19 Feb 2024 14:49:05 +0000

akonadi-calendar-tools (4:23.08.5-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Mon, 19 Feb 2024 14:49:05 +0000

akonadi-calendar-tools (4:23.08.4-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 06 Dec 2023 16:30:17 +0000

akonadi-calendar-tools (4:23.08.3-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 08 Nov 2023 15:39:23 +0000

akonadi-calendar-tools (4:23.08.2-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 11 Oct 2023 17:07:07 +0000

akonadi-calendar-tools (4:23.08.1-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 13 Sep 2023 12:39:43 +0000

akonadi-calendar-tools (4:23.08.0-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 24 Aug 2023 09:36:20 +0000

akonadi-calendar-tools (4:23.04.3-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 06 Jun 2023 22:01:46 +0000

akonadi-calendar-tools (4:22.12.3-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 02 Mar 2023 12:49:40 +0000

akonadi-calendar-tools (4:22.12.2-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 01 Feb 2023 17:21:16 +0000

akonadi-calendar-tools (4:22.12.1-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 05 Jan 2023 15:55:26 +0000

akonadi-calendar-tools (4:22.12.0-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 07 Dec 2022 12:02:26 +0000

akonadi-calendar-tools (4:22.08.3-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 03 Nov 2022 09:23:40 +0000

akonadi-calendar-tools (4:22.08.3-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Fri, 14 Oct 2022 17:57:48 +0000

akonadi-calendar-tools (4:22.08.0-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 18 Aug 2022 09:25:51 +0000

akonadi-calendar-tools (4:22.04.3-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 07 Jul 2022 12:13:53 +0000

akonadi-calendar-tools (4:22.04.2-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 07 Jun 2022 20:37:18 +0000

akonadi-calendar-tools (4:22.04.1-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 10 May 2022 13:31:47 +0000

akonadi-calendar-tools (4:22.04.0-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Mon, 18 Apr 2022 12:46:30 +0000

akonadi-calendar-tools (4:21.12.3-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 03 Mar 2022 12:02:46 +0000

akonadi-calendar-tools (4:21.12.2-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 03 Feb 2022 10:59:38 +0000

akonadi-calendar-tools (4:21.12.0-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Mon, 06 Dec 2021 23:11:12 +0000

akonadi-calendar-tools (4:21.08.1-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 01 Sep 2021 09:30:12 +0000

akonadi-calendar-tools (4:21.08.0-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 11 Aug 2021 10:41:05 +0000

akonadi-calendar-tools (4:21.04.3-0neon) focal; urgency=medium

  * New release



=== debian/control ===
Source: akonadi-calendar-tools
Section: kde
Priority: optional
Uploaders: Sune Vuorela <sune@debian.org>,
           Modestas Vainius <modax@debian.org>,
           Michael Meskes <meskes@debian.org>,
           George Kiagiadakis <kiagiadakis.george@gmail.com>,
           Eshat Cakar <info@eshat.de>,
           Maximiliano Curia <maxy@debian.org>
Build-Depends: cmake,
               debhelper-compat (= 13),
               kf6-extra-cmake-modules,
               kf6-kcalendarcore-dev,
               kf6-kdoctools-dev,
               kf6-ktextaddons-dev,
               kpim6-akonadi-calendar-dev,
               kpim6-akonadi-dev,
               kpim6-calendarsupport-dev,
               kpim6-kcalendarutils-dev,
               kpim6-libkdepim-dev,
               pkg-config,
               pkg-kde-tools-neon,
               qt6-base-dev
Standards-Version: 4.6.2
Homepage: http://pim.kde.org/
Vcs-Git: https://invent.kde.org/neon/kde/akonadi-calendar-tools.git
Vcs-Browser: https://invent.kde.org/neon/kde/akonadi-calendar-tools
Maintainer: Neon CI <neon@kde.org>

Package: kpim6-akonadi-calendar-tools
Architecture: any
X-Neon-MergedPackage: true
Depends: kpim6-kdepim-runtime, ${misc:Depends}, ${shlibs:Depends}
Breaks: konsolekalendar (<< 4:24.02)
Replaces: konsolekalendar (<< 4:24.02)
Description: KDE command line tools for interacting with calendars.
 Meta Package which bundles all the Akonadi Calendar Tools.

Package: konsolekalendar
Architecture: all
Depends: kpim6-akonadi-calendar-tools, ${misc:Depends}
Description: Dummy transitionals.
 Transitional package.

Package: calendarjanitor
Architecture: all
Depends: kpim6-akonadi-calendar-tools, ${misc:Depends}
Description: Dummy transitionals.
 Transitional package.

Package: akonadi-calendar-tools
Architecture: all
Depends: kpim6-akonadi-calendar-tools, ${misc:Depends}
Description: Dummy transitional
 Transitional dummy package.

## akonadi-calendar-tools 25.08.1+p24.04+vstable+git20250926.1144

=== debian/changelog ===
akonadi-calendar-tools (4:25.08.1+p24.04+vstable+git20250926.1144-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Fri, 26 Sep 2025 11:44:51 +0000

## akonadi-calendar-tools 25.08.2

=== debian/changelog ===
akonadi-calendar-tools (4:25.08.2-0ubuntu1) resolute; urgency=medium

  * New upstream release (25.08.2)

 -- Rik Mills <rikmills@kde.org>  Fri, 17 Oct 2025 11:36:19 +0100

=== debian/control ===
Source: akonadi-calendar-tools
Section: kde
Priority: optional
Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Michael Meskes <meskes@debian.org>,
           Sandro Knauß <hefee@debian.org>,
           Sune Vuorela <sune@debian.org>,
           Patrick Franz <deltaone@debian.org>,
Build-Depends: cmake (>= 3.16~),
               debhelper-compat (= 13),
               dh-sequence-kf6,
               extra-cmake-modules (>= 6.6.0~),
               gettext,
               libakonadi-dev (>= 4:25.08.2~),
               libakonadicalendar-dev (>= 4:25.08.2~),
               libcalendarsupport-dev (>= 4:25.08.2~),
               libkf6calendarcore-dev (>= 6.6.0~),
               libkf6doctools-dev (>= 6.6.0~),
               libkf6i18n-dev (>= 6.6.0~),
               libxkbcommon-dev,
               pkgconf,
               qt6-base-dev (>= 6.7.0~),
Standards-Version: 4.7.0
Homepage: https://invent.kde.org/pim/akonadi-calendar-tools
Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/akonadi-calendar-tools
Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/akonadi-calendar-tools
Rules-Requires-Root: no

Package: konsolekalendar
Architecture: amd64 arm64 armhf i386
Depends: kdepim-runtime, ${misc:Depends}, ${shlibs:Depends},
Description: konsole personal organizer
 KonsoleKalendar is a command-line interface to KDE calendars.
 KonsoleKalendar complements KOrganizer by providing a console
 frontend to manage your calendars.

## akonadi-calendar-tools 25.08.2+p24.04+vstable+git20251015.2032

=== debian/changelog ===
akonadi-calendar-tools (4:25.08.2+p24.04+vstable+git20251015.2032-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Wed, 15 Oct 2025 20:32:17 +0000

akonadi-calendar-tools (4:25.08.2-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Fri, 10 Oct 2025 03:52:50 +0000

## akonadi-calendar-tools 25.08.2+p24.04+vstable+git20251019.0846

=== konsolekalendar/pics/CMakeLists.txt ===

########### install files ###############

ecm_install_icons(ICONS 128-apps-konsolekalendar.png  16-apps-konsolekalendar.png  22-apps-konsolekalendar.png  32-apps-konsolekalendar.png  48-apps-konsolekalendar.png DESTINATION ${KDE_INSTALL_ICONDIR} THEME hicolor)

=== debian/changelog ===
akonadi-calendar-tools (4:25.08.2+p24.04+vstable+git20251019.0846-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Sun, 19 Oct 2025 08:46:17 +0000

## akonadi-calendar-tools 25.08.3

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,5 +1,5 @@
 cmake_minimum_required(VERSION 3.16 FATAL_ERROR)
-set(PIM_VERSION "6.5.1")
+set(PIM_VERSION "6.5.3")
 project(akonadi-calendar-tools VERSION ${PIM_VERSION})
 
 set(KF_MIN_VERSION "6.14.0")
@@ -39,9 +39,9 @@
 set(KDEPIM_VERSION "${PIM_VERSION}${KDEPIM_DEV_VERSION}")
 
 
-set(AKONADICALENDAR_LIB_VERSION "6.5.1")
-set(AKONADI_VERSION "6.5.1")
-set(CALENDARSUPPORT_LIB_VERSION "6.5.1")
+set(AKONADICALENDAR_LIB_VERSION "6.5.3")
+set(AKONADI_VERSION "6.5.3")
+set(CALENDARSUPPORT_LIB_VERSION "6.5.3")
 set(KDEPIM_LIB_VERSION "${PIM_VERSION}")
 set(KDEPIM_LIB_SOVERSION "6")

=== calendarjanitor/CMakeLists.txt ===
add_executable(calendarjanitor)
if (COMPILE_WITH_UNITY_CMAKE_SUPPORT)
    set_target_properties(calendarjanitor PROPERTIES UNITY_BUILD ON)
endif()

target_sources(calendarjanitor PRIVATE
    main.cpp
    backuper.cpp
    calendarjanitor.cpp
    collectionloader.cpp
    options.cpp
    backuper.h
    calendarjanitor.h
    collectionloader.h
    options.h
    )

target_link_libraries(calendarjanitor
    KF6::CalendarCore
    KPim6::AkonadiCalendar)

install(TARGETS calendarjanitor  ${KDE_INSTALL_TARGETS_DEFAULT_ARGS})

=== konsolekalendar/CMakeLists.txt ===

add_subdirectory(pics) 

add_executable(konsolekalendar)
if (COMPILE_WITH_UNITY_CMAKE_SUPPORT)
    set_target_properties(konsolekalendar PROPERTIES UNITY_BUILD ON)
endif()

target_sources(konsolekalendar PRIVATE
    konsolekalendarepoch.cpp
    konsolekalendardelete.cpp
    konsolekalendarchange.cpp
    konsolekalendarvariables.cpp
    konsolekalendaradd.cpp
    konsolekalendarexports.cpp
    konsolekalendar.cpp
    konsolekalendarepoch.h
    konsolekalendardelete.h
    konsolekalendarchange.h
    konsolekalendarvariables.h
    konsolekalendaradd.h
    konsolekalendarexports.h
    konsolekalendar.h

    main.cpp )

ecm_qt_declare_logging_category(konsolekalendar
    HEADER konsolekalendar_debug.h
    IDENTIFIER KONSOLEKALENDAR_LOG
    CATEGORY_NAME org.kde.pim.konsolekalendar
    DESCRIPTION "console (konsolekalendar)"
    OLD_CATEGORY_NAMES log_konsolekalendar
    EXPORT AKONADICALENDARTOOLS
    )

target_link_libraries(konsolekalendar
    Qt::DBus
    KF6::CalendarCore
    KF6::ConfigGui
    KPim6::CalendarSupport
    KPim6::AkonadiCalendar
    KF6::I18n
)

install(TARGETS konsolekalendar  ${KDE_INSTALL_TARGETS_DEFAULT_ARGS})


########### install files ###############

install( PROGRAMS konsolekalendar.desktop  DESTINATION ${KDE_INSTALL_APPDIR})

=== debian/changelog ===
akonadi-calendar-tools (4:25.08.3-1) experimental; urgency=medium

  [ Patrick Franz ]
  * New upstream release (25.08.3).
  * Update build-deps and deps with the info from cmake.

 -- Patrick Franz <deltaone@debian.org>  Tue, 18 Nov 2025 21:25:57 +0100

=== debian/control ===
Source: akonadi-calendar-tools
Section: kde
Priority: optional
Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Michael Meskes <meskes@debian.org>,
           Sandro Knauß <hefee@debian.org>,
           Sune Vuorela <sune@debian.org>,
           Patrick Franz <deltaone@debian.org>,
Build-Depends: debhelper-compat (= 13),
               dh-sequence-kf6,
               cmake (>= 3.16~),
               extra-cmake-modules (>= 6.14.0~),
               gettext,
               libakonadi-dev (>= 4:25.08.3~),
               libakonadicalendar-dev (>= 4:25.08.3~),
               libcalendarsupport-dev (>= 4:25.08.3~),
               libkf6calendarcore-dev (>= 6.14.0~),
               libkf6doctools-dev (>= 6.14.0~),
               libkf6i18n-dev (>= 6.14.0~),
               libxkbcommon-dev,
               pkgconf,
               qt6-base-dev (>= 6.8.0~),
Standards-Version: 4.7.2
Homepage: https://invent.kde.org/pim/akonadi-calendar-tools
Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/akonadi-calendar-tools
Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/akonadi-calendar-tools.git
Rules-Requires-Root: no

Package: konsolekalendar
Architecture: amd64 arm64 armhf i386
Depends: kdepim-runtime,
         ${misc:Depends},
         ${shlibs:Depends},
Description: konsole personal organizer
 KonsoleKalendar is a command-line interface to KDE calendars.
 KonsoleKalendar complements KOrganizer by providing a console
 frontend to manage your calendars.

## akonadi-calendar-tools 25.11.80

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,8 +1,8 @@
 cmake_minimum_required(VERSION 3.16 FATAL_ERROR)
-set(PIM_VERSION "6.5.3")
+set(PIM_VERSION "6.5.80")
 project(akonadi-calendar-tools VERSION ${PIM_VERSION})
 
-set(KF_MIN_VERSION "6.14.0")
+set(KF_MIN_VERSION "6.18.0")
 set(QT_REQUIRED_VERSION "6.8.0")
 find_package(ECM ${KF_MIN_VERSION} CONFIG REQUIRED)
 set(CMAKE_MODULE_PATH ${ECM_MODULE_PATH})
@@ -28,8 +28,9 @@
 include(ECMQtDeclareLoggingCategory)
 include(ECMDeprecationSettings)
 include(ECMFeatureSummary)
+set(CMAKE_CXX_SCAN_FOR_MODULES OFF)
 # Do NOT add quote
-set(KDEPIM_DEV_VERSION)
+set(KDEPIM_DEV_VERSION beta)
 
 # add an extra space
 if(DEFINED KDEPIM_DEV_VERSION)
@@ -39,9 +40,9 @@
 set(KDEPIM_VERSION "${PIM_VERSION}${KDEPIM_DEV_VERSION}")
 
 
-set(AKONADICALENDAR_LIB_VERSION "6.5.3")
-set(AKONADI_VERSION "6.5.3")
-set(CALENDARSUPPORT_LIB_VERSION "6.5.3")
+set(AKONADICALENDAR_LIB_VERSION "6.5.80")
+set(AKONADI_VERSION "6.5.80")
+set(CALENDARSUPPORT_LIB_VERSION "6.5.80")
 set(KDEPIM_LIB_VERSION "${PIM_VERSION}")
 set(KDEPIM_LIB_SOVERSION "6")
 
@@ -68,7 +69,7 @@
 
 
 add_definitions(-DQT_NO_CONTEXTLESS_CONNECT)
-ecm_set_disabled_deprecation_versions(QT 6.8.1 KF 6.16.0)
+ecm_set_disabled_deprecation_versions(QT 6.8.1 KF 6.20.0)
 
 add_definitions(-DQT_NO_EMIT)
 option(USE_UNITY_CMAKE_SUPPORT "Use UNITY cmake support (speedup compile time)" OFF)

=== debian/changelog ===
akonadi-calendar-tools (4:25.11.80-0ubuntu1) resolute; urgency=medium

  * New upstream (beta) release (25.11.80)

 -- Rik Mills <rikmills@kde.org>  Sun, 16 Nov 2025 07:51:14 +0000

akonadi-calendar-tools (4:25.08.3-0ubuntu1) resolute; urgency=medium

  * New upstream release (25.08.3)

 -- Rik Mills <rikmills@kde.org>  Thu, 06 Nov 2025 15:19:08 +0000

=== debian/control ===
Source: akonadi-calendar-tools
Section: kde
Priority: optional
Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Michael Meskes <meskes@debian.org>,
           Sandro Knauß <hefee@debian.org>,
           Sune Vuorela <sune@debian.org>,
           Patrick Franz <deltaone@debian.org>,
Build-Depends: cmake (>= 3.16~),
               debhelper-compat (= 13),
               dh-sequence-kf6,
               extra-cmake-modules (>= 6.6.0~),
               gettext,
               libakonadi-dev (>= 4:25.11.80~),
               libakonadicalendar-dev (>= 4:25.11.80~),
               libcalendarsupport-dev (>= 4:25.11.80~),
               libkf6calendarcore-dev (>= 6.6.0~),
               libkf6doctools-dev (>= 6.6.0~),
               libkf6i18n-dev (>= 6.6.0~),
               libxkbcommon-dev,
               pkgconf,
               qt6-base-dev (>= 6.7.0~),
Standards-Version: 4.7.0
Homepage: https://invent.kde.org/pim/akonadi-calendar-tools
Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/akonadi-calendar-tools
Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/akonadi-calendar-tools
Rules-Requires-Root: no

Package: konsolekalendar
Architecture: amd64 arm64 armhf i386
Depends: kdepim-runtime, ${misc:Depends}, ${shlibs:Depends},
Description: konsole personal organizer
 KonsoleKalendar is a command-line interface to KDE calendars.
 KonsoleKalendar complements KOrganizer by providing a console
 frontend to manage your calendars.

## akonadi-calendar-tools 25.11.90

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,5 +1,5 @@
 cmake_minimum_required(VERSION 3.16 FATAL_ERROR)
-set(PIM_VERSION "6.5.80")
+set(PIM_VERSION "6.5.90")
 project(akonadi-calendar-tools VERSION ${PIM_VERSION})
 
 set(KF_MIN_VERSION "6.18.0")
@@ -30,7 +30,7 @@
 include(ECMFeatureSummary)
 set(CMAKE_CXX_SCAN_FOR_MODULES OFF)
 # Do NOT add quote
-set(KDEPIM_DEV_VERSION beta)
+set(KDEPIM_DEV_VERSION rc)
 
 # add an extra space
 if(DEFINED KDEPIM_DEV_VERSION)
@@ -40,9 +40,9 @@
 set(KDEPIM_VERSION "${PIM_VERSION}${KDEPIM_DEV_VERSION}")
 
 
-set(AKONADICALENDAR_LIB_VERSION "6.5.80")
-set(AKONADI_VERSION "6.5.80")
-set(CALENDARSUPPORT_LIB_VERSION "6.5.80")
+set(AKONADICALENDAR_LIB_VERSION "6.5.90")
+set(AKONADI_VERSION "6.5.90")
+set(CALENDARSUPPORT_LIB_VERSION "6.5.90")
 set(KDEPIM_LIB_VERSION "${PIM_VERSION}")
 set(KDEPIM_LIB_SOVERSION "6")

=== debian/changelog ===
akonadi-calendar-tools (4:25.11.90-0ubuntu2) resolute; urgency=medium

  * Bump gear build deps to 25.11.90.

 -- Rik Mills <rikmills@kde.org>  Fri, 28 Nov 2025 14:51:18 +0000

akonadi-calendar-tools (4:25.11.90-0ubuntu1) resolute; urgency=medium

  * New upstream (RC) release (25.11.90)

 -- Rik Mills <rikmills@kde.org>  Fri, 28 Nov 2025 13:55:44 +0000

=== debian/control ===
--- 
+++ 
@@ -12,9 +12,9 @@
                dh-sequence-kf6,
                extra-cmake-modules (>= 6.6.0~),
                gettext,
-               libakonadi-dev (>= 4:25.11.80~),
-               libakonadicalendar-dev (>= 4:25.11.80~),
-               libcalendarsupport-dev (>= 4:25.11.80~),
+               libakonadi-dev (>= 4:25.11.90~),
+               libakonadicalendar-dev (>= 4:25.11.90~),
+               libcalendarsupport-dev (>= 4:25.11.90~),
                libkf6calendarcore-dev (>= 6.6.0~),
                libkf6doctools-dev (>= 6.6.0~),
                libkf6i18n-dev (>= 6.6.0~),

## akonadi-calendar-tools 25.12.0

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,5 +1,5 @@
 cmake_minimum_required(VERSION 3.16 FATAL_ERROR)
-set(PIM_VERSION "6.5.90")
+set(PIM_VERSION "6.6.0")
 project(akonadi-calendar-tools VERSION ${PIM_VERSION})
 
 set(KF_MIN_VERSION "6.18.0")
@@ -30,7 +30,7 @@
 include(ECMFeatureSummary)
 set(CMAKE_CXX_SCAN_FOR_MODULES OFF)
 # Do NOT add quote
-set(KDEPIM_DEV_VERSION rc)
+set(KDEPIM_DEV_VERSION )
 
 # add an extra space
 if(DEFINED KDEPIM_DEV_VERSION)
@@ -40,9 +40,9 @@
 set(KDEPIM_VERSION "${PIM_VERSION}${KDEPIM_DEV_VERSION}")
 
 
-set(AKONADICALENDAR_LIB_VERSION "6.5.90")
-set(AKONADI_VERSION "6.5.90")
-set(CALENDARSUPPORT_LIB_VERSION "6.5.90")
+set(AKONADICALENDAR_LIB_VERSION "6.6.0")
+set(AKONADI_VERSION "6.6.0")
+set(CALENDARSUPPORT_LIB_VERSION "6.6.0")
 set(KDEPIM_LIB_VERSION "${PIM_VERSION}")
 set(KDEPIM_LIB_SOVERSION "6")

=== debian/changelog ===
akonadi-calendar-tools (4:25.12.0-0ubuntu1) resolute; urgency=medium

  * New upstream release (25.12.0)

 -- Rik Mills <rikmills@kde.org>  Thu, 11 Dec 2025 12:10:23 +0000

=== debian/control ===
--- 
+++ 
@@ -12,9 +12,9 @@
                dh-sequence-kf6,
                extra-cmake-modules (>= 6.6.0~),
                gettext,
-               libakonadi-dev (>= 4:25.11.90~),
-               libakonadicalendar-dev (>= 4:25.11.90~),
-               libcalendarsupport-dev (>= 4:25.11.90~),
+               libakonadi-dev (>= 4:25.12.0~),
+               libakonadicalendar-dev (>= 4:25.12.0~),
+               libcalendarsupport-dev (>= 4:25.12.0~),
                libkf6calendarcore-dev (>= 6.6.0~),
                libkf6doctools-dev (>= 6.6.0~),
                libkf6i18n-dev (>= 6.6.0~),

## akonadi-calendar-tools 25.12.0+p24.04+vstable+git20251224.0903

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,5 +1,5 @@
 cmake_minimum_required(VERSION 3.16 FATAL_ERROR)
-set(PIM_VERSION "6.6.0")
+set(PIM_VERSION "6.6.1")
 project(akonadi-calendar-tools VERSION ${PIM_VERSION})
 
 set(KF_MIN_VERSION "6.18.0")

=== debian/changelog ===
akonadi-calendar-tools (4:25.12.0+p24.04+vstable+git20251224.0903-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Wed, 24 Dec 2025 09:03:57 +0000

akonadi-calendar-tools (4:25.12.0-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Mon, 08 Dec 2025 19:35:42 +1000

akonadi-calendar-tools (4:25.08.3-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Fri, 07 Nov 2025 00:39:37 +1000

## akonadi-calendar-tools 25.12.0+p24.04+vunstable+git20251209.0617

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,9 +1,9 @@
 cmake_minimum_required(VERSION 3.16 FATAL_ERROR)
-set(PIM_VERSION "6.6.1")
+set(PIM_VERSION "6.6.40")
 project(akonadi-calendar-tools VERSION ${PIM_VERSION})
 
-set(KF_MIN_VERSION "6.18.0")
-set(QT_REQUIRED_VERSION "6.8.0")
+set(KF_MIN_VERSION "6.20.0")
+set(QT_REQUIRED_VERSION "6.9.0")
 find_package(ECM ${KF_MIN_VERSION} CONFIG REQUIRED)
 set(CMAKE_MODULE_PATH ${ECM_MODULE_PATH})
 include(ECMInstallIcons)
@@ -30,7 +30,7 @@
 include(ECMFeatureSummary)
 set(CMAKE_CXX_SCAN_FOR_MODULES OFF)
 # Do NOT add quote
-set(KDEPIM_DEV_VERSION )
+set(KDEPIM_DEV_VERSION alpha)
 
 # add an extra space
 if(DEFINED KDEPIM_DEV_VERSION)
@@ -40,9 +40,9 @@
 set(KDEPIM_VERSION "${PIM_VERSION}${KDEPIM_DEV_VERSION}")
 
 
-set(AKONADICALENDAR_LIB_VERSION "6.6.0")
-set(AKONADI_VERSION "6.6.0")
-set(CALENDARSUPPORT_LIB_VERSION "6.6.0")
+set(AKONADICALENDAR_LIB_VERSION "6.6.40")
+set(AKONADI_VERSION "6.6.40")
+set(CALENDARSUPPORT_LIB_VERSION "6.6.40")
 set(KDEPIM_LIB_VERSION "${PIM_VERSION}")
 set(KDEPIM_LIB_SOVERSION "6")
 
@@ -69,7 +69,7 @@
 
 
 add_definitions(-DQT_NO_CONTEXTLESS_CONNECT)
-ecm_set_disabled_deprecation_versions(QT 6.8.1 KF 6.20.0)
+ecm_set_disabled_deprecation_versions(QT 6.8.1 KF 6.21.0)
 
 add_definitions(-DQT_NO_EMIT)
 option(USE_UNITY_CMAKE_SUPPORT "Use UNITY cmake support (speedup compile time)" OFF)

=== debian/changelog ===
akonadi-calendar-tools (4:25.12.0+p24.04+vunstable+git20251209.0617-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Tue, 09 Dec 2025 06:17:12 +0000

## akonadi-calendar-tools 25.12.1

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,9 +1,9 @@
 cmake_minimum_required(VERSION 3.16 FATAL_ERROR)
-set(PIM_VERSION "6.6.40")
+set(PIM_VERSION "6.6.1")
 project(akonadi-calendar-tools VERSION ${PIM_VERSION})
 
-set(KF_MIN_VERSION "6.20.0")
-set(QT_REQUIRED_VERSION "6.9.0")
+set(KF_MIN_VERSION "6.18.0")
+set(QT_REQUIRED_VERSION "6.8.0")
 find_package(ECM ${KF_MIN_VERSION} CONFIG REQUIRED)
 set(CMAKE_MODULE_PATH ${ECM_MODULE_PATH})
 include(ECMInstallIcons)
@@ -30,7 +30,7 @@
 include(ECMFeatureSummary)
 set(CMAKE_CXX_SCAN_FOR_MODULES OFF)
 # Do NOT add quote
-set(KDEPIM_DEV_VERSION alpha)
+set(KDEPIM_DEV_VERSION )
 
 # add an extra space
 if(DEFINED KDEPIM_DEV_VERSION)
@@ -40,9 +40,9 @@
 set(KDEPIM_VERSION "${PIM_VERSION}${KDEPIM_DEV_VERSION}")
 
 
-set(AKONADICALENDAR_LIB_VERSION "6.6.40")
-set(AKONADI_VERSION "6.6.40")
-set(CALENDARSUPPORT_LIB_VERSION "6.6.40")
+set(AKONADICALENDAR_LIB_VERSION "6.6.1")
+set(AKONADI_VERSION "6.6.1")
+set(CALENDARSUPPORT_LIB_VERSION "6.6.1")
 set(KDEPIM_LIB_VERSION "${PIM_VERSION}")
 set(KDEPIM_LIB_SOVERSION "6")
 
@@ -69,7 +69,7 @@
 
 
 add_definitions(-DQT_NO_CONTEXTLESS_CONNECT)
-ecm_set_disabled_deprecation_versions(QT 6.8.1 KF 6.21.0)
+ecm_set_disabled_deprecation_versions(QT 6.8.1 KF 6.20.0)
 
 add_definitions(-DQT_NO_EMIT)
 option(USE_UNITY_CMAKE_SUPPORT "Use UNITY cmake support (speedup compile time)" OFF)

=== debian/changelog ===
akonadi-calendar-tools (4:25.12.1-2) unstable; urgency=medium

  * Upload to unstable.

 -- Patrick Franz <deltaone@debian.org>  Tue, 20 Jan 2026 21:36:39 +0100

akonadi-calendar-tools (4:25.12.1-1) experimental; urgency=medium

  [ Patrick Franz ]
  * New upstream release (25.12.1).
  * Update build-deps and deps with the info from cmake.
  * Bump Standards-Version to 4.7.3 (No changes needed).

 -- Patrick Franz <deltaone@debian.org>  Tue, 13 Jan 2026 12:50:57 +0100

akonadi-calendar-tools (4:25.08.3-2) unstable; urgency=medium

  * Upload to unstable.

 -- Patrick Franz <deltaone@debian.org>  Wed, 03 Dec 2025 17:57:23 +0100

=== debian/control ===
Source: akonadi-calendar-tools
Section: kde
Priority: optional
Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Michael Meskes <meskes@debian.org>,
           Sandro Knauß <hefee@debian.org>,
           Sune Vuorela <sune@debian.org>,
           Patrick Franz <deltaone@debian.org>,
Build-Depends: debhelper-compat (= 13),
               dh-sequence-kf6,
               cmake (>= 3.16~),
               extra-cmake-modules (>= 6.18.0~),
               gettext,
               libakonadi-dev (>= 4:25.12.1~),
               libakonadicalendar-dev (>= 4:25.12.1~),
               libcalendarsupport-dev (>= 4:25.12.1~),
               libkf6calendarcore-dev (>= 6.18.0~),
               libkf6doctools-dev (>= 6.18.0~),
               libkf6i18n-dev (>= 6.18.0~),
               libxkbcommon-dev,
               pkgconf,
               qt6-base-dev (>= 6.8.0~),
Standards-Version: 4.7.3
Homepage: https://invent.kde.org/pim/akonadi-calendar-tools
Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/akonadi-calendar-tools
Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/akonadi-calendar-tools.git
Rules-Requires-Root: no

Package: konsolekalendar
Architecture: amd64 arm64 armhf i386
Depends: kdepim-runtime,
         ${misc:Depends},
         ${shlibs:Depends},
Description: konsole personal organizer
 KonsoleKalendar is a command-line interface to KDE calendars.
 KonsoleKalendar complements KOrganizer by providing a console
 frontend to manage your calendars.

## akonadi-calendar-tools 25.12.1+p24.04+vstable+git20260131.0344

=== debian/changelog ===
akonadi-calendar-tools (4:25.12.1+p24.04+vstable+git20260131.0344-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Sat, 31 Jan 2026 03:44:35 +0000

akonadi-calendar-tools (4:25.12.1-0neon) noble; urgency=medium

  * New release

 -- Carlos De Maine <carlosd.kde@gmail.com>  Tue, 06 Jan 2026 23:25:36 +1000

## akonadi-calendar-tools 25.12.1+p24.04+vstable+git20260205.0728

=== debian/changelog ===
akonadi-calendar-tools (4:25.12.1+p24.04+vstable+git20260205.0728-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Thu, 05 Feb 2026 07:28:40 +0000

## akonadi-calendar-tools 25.12.1+p24.04+vunstable+git20260205.0835

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,9 +1,9 @@
-cmake_minimum_required(VERSION 3.16 FATAL_ERROR)
-set(PIM_VERSION "6.6.1")
+cmake_minimum_required(VERSION 3.27)
+set(PIM_VERSION "6.6.40")
 project(akonadi-calendar-tools VERSION ${PIM_VERSION})
 
-set(KF_MIN_VERSION "6.18.0")
-set(QT_REQUIRED_VERSION "6.8.0")
+set(KF_MIN_VERSION "6.21.0")
+set(QT_REQUIRED_VERSION "6.9.0")
 find_package(ECM ${KF_MIN_VERSION} CONFIG REQUIRED)
 set(CMAKE_MODULE_PATH ${ECM_MODULE_PATH})
 include(ECMInstallIcons)
@@ -30,7 +30,7 @@
 include(ECMFeatureSummary)
 set(CMAKE_CXX_SCAN_FOR_MODULES OFF)
 # Do NOT add quote
-set(KDEPIM_DEV_VERSION )
+set(KDEPIM_DEV_VERSION alpha)
 
 # add an extra space
 if(DEFINED KDEPIM_DEV_VERSION)
@@ -40,9 +40,9 @@
 set(KDEPIM_VERSION "${PIM_VERSION}${KDEPIM_DEV_VERSION}")
 
 
-set(AKONADICALENDAR_LIB_VERSION "6.6.1")
-set(AKONADI_VERSION "6.6.1")
-set(CALENDARSUPPORT_LIB_VERSION "6.6.1")
+set(AKONADICALENDAR_LIB_VERSION "6.6.40")
+set(AKONADI_VERSION "6.6.40")
+set(CALENDARSUPPORT_LIB_VERSION "6.6.40")
 set(KDEPIM_LIB_VERSION "${PIM_VERSION}")
 set(KDEPIM_LIB_SOVERSION "6")
 
@@ -69,7 +69,12 @@
 
 
 add_definitions(-DQT_NO_CONTEXTLESS_CONNECT)
-ecm_set_disabled_deprecation_versions(QT 6.8.1 KF 6.20.0)
+if(CMAKE_CXX_COMPILER_ID MATCHES "Clang")
+    # Not setting for GNU due to too many warnings related to private members of base classes or around lambdas
+    # see e.g. https://gcc.gnu.org/bugzilla/show_bug.cgi?id=56556 or https://gcc.gnu.org/bugzilla/show_bug.cgi?id=79328
+    string(APPEND CMAKE_CXX_FLAGS " -Wshadow")
+endif()
+ecm_set_disabled_deprecation_versions(QT 6.8.1 KF 6.22.0)
 
 add_definitions(-DQT_NO_EMIT)
 option(USE_UNITY_CMAKE_SUPPORT "Use UNITY cmake support (speedup compile time)" OFF)

=== debian/changelog ===
akonadi-calendar-tools (4:25.12.1+p24.04+vunstable+git20260205.0835-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Thu, 05 Feb 2026 08:35:10 +0000

## akonadi-calendar-tools 25.12.2

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,9 +1,9 @@
-cmake_minimum_required(VERSION 3.27)
-set(PIM_VERSION "6.6.40")
+cmake_minimum_required(VERSION 3.16 FATAL_ERROR)
+set(PIM_VERSION "6.6.2")
 project(akonadi-calendar-tools VERSION ${PIM_VERSION})
 
-set(KF_MIN_VERSION "6.21.0")
-set(QT_REQUIRED_VERSION "6.9.0")
+set(KF_MIN_VERSION "6.18.0")
+set(QT_REQUIRED_VERSION "6.8.0")
 find_package(ECM ${KF_MIN_VERSION} CONFIG REQUIRED)
 set(CMAKE_MODULE_PATH ${ECM_MODULE_PATH})
 include(ECMInstallIcons)
@@ -30,7 +30,7 @@
 include(ECMFeatureSummary)
 set(CMAKE_CXX_SCAN_FOR_MODULES OFF)
 # Do NOT add quote
-set(KDEPIM_DEV_VERSION alpha)
+set(KDEPIM_DEV_VERSION )
 
 # add an extra space
 if(DEFINED KDEPIM_DEV_VERSION)
@@ -40,9 +40,9 @@
 set(KDEPIM_VERSION "${PIM_VERSION}${KDEPIM_DEV_VERSION}")
 
 
-set(AKONADICALENDAR_LIB_VERSION "6.6.40")
-set(AKONADI_VERSION "6.6.40")
-set(CALENDARSUPPORT_LIB_VERSION "6.6.40")
+set(AKONADICALENDAR_LIB_VERSION "6.6.2")
+set(AKONADI_VERSION "6.6.2")
+set(CALENDARSUPPORT_LIB_VERSION "6.6.2")
 set(KDEPIM_LIB_VERSION "${PIM_VERSION}")
 set(KDEPIM_LIB_SOVERSION "6")
 
@@ -69,12 +69,7 @@
 
 
 add_definitions(-DQT_NO_CONTEXTLESS_CONNECT)
-if(CMAKE_CXX_COMPILER_ID MATCHES "Clang")
-    # Not setting for GNU due to too many warnings related to private members of base classes or around lambdas
-    # see e.g. https://gcc.gnu.org/bugzilla/show_bug.cgi?id=56556 or https://gcc.gnu.org/bugzilla/show_bug.cgi?id=79328
-    string(APPEND CMAKE_CXX_FLAGS " -Wshadow")
-endif()
-ecm_set_disabled_deprecation_versions(QT 6.8.1 KF 6.22.0)
+ecm_set_disabled_deprecation_versions(QT 6.8.1 KF 6.20.0)
 
 add_definitions(-DQT_NO_EMIT)
 option(USE_UNITY_CMAKE_SUPPORT "Use UNITY cmake support (speedup compile time)" OFF)

=== debian/changelog ===
akonadi-calendar-tools (4:25.12.2-0ubuntu1) resolute; urgency=medium

  * New upstream release (25.12.2)

 -- Rik Mills <rikmills@kde.org>  Sun, 08 Feb 2026 16:37:51 +0000

akonadi-calendar-tools (4:25.12.1-0ubuntu2) resolute; urgency=medium

  * Add amd64v3 to build architectures.

 -- Rik Mills <rikmills@kde.org>  Sat, 10 Jan 2026 11:36:44 +0000

akonadi-calendar-tools (4:25.12.1-0ubuntu1) resolute; urgency=medium

  * New upstream release (25.12.1)

 -- Rik Mills <rikmills@kde.org>  Thu, 08 Jan 2026 10:54:13 +0000

=== debian/control ===
Source: akonadi-calendar-tools
Section: kde
Priority: optional
Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Michael Meskes <meskes@debian.org>,
           Sandro Knauß <hefee@debian.org>,
           Sune Vuorela <sune@debian.org>,
           Patrick Franz <deltaone@debian.org>,
Build-Depends: cmake (>= 3.16~),
               debhelper-compat (= 13),
               dh-sequence-kf6,
               extra-cmake-modules (>= 6.6.0~),
               gettext,
               libakonadi-dev (>= 4:25.12.2~),
               libakonadicalendar-dev (>= 4:25.12.2~),
               libcalendarsupport-dev (>= 4:25.12.2~),
               libkf6calendarcore-dev (>= 6.6.0~),
               libkf6doctools-dev (>= 6.6.0~),
               libkf6i18n-dev (>= 6.6.0~),
               libxkbcommon-dev,
               pkgconf,
               qt6-base-dev (>= 6.7.0~),
Standards-Version: 4.7.0
Homepage: https://invent.kde.org/pim/akonadi-calendar-tools
Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/akonadi-calendar-tools
Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/akonadi-calendar-tools
Rules-Requires-Root: no

Package: konsolekalendar
Architecture: amd64 amd64v3 arm64 armhf i386
Depends: kdepim-runtime, ${misc:Depends}, ${shlibs:Depends},
Description: konsole personal organizer
 KonsoleKalendar is a command-line interface to KDE calendars.
 KonsoleKalendar complements KOrganizer by providing a console
 frontend to manage your calendars.

## akonadi-calendar-tools 25.12.2+p24.04+vstable+git20260216.0452

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,5 +1,5 @@
 cmake_minimum_required(VERSION 3.16 FATAL_ERROR)
-set(PIM_VERSION "6.6.2")
+set(PIM_VERSION "6.6.3")
 project(akonadi-calendar-tools VERSION ${PIM_VERSION})
 
 set(KF_MIN_VERSION "6.18.0")
@@ -40,9 +40,9 @@
 set(KDEPIM_VERSION "${PIM_VERSION}${KDEPIM_DEV_VERSION}")
 
 
-set(AKONADICALENDAR_LIB_VERSION "6.6.2")
-set(AKONADI_VERSION "6.6.2")
-set(CALENDARSUPPORT_LIB_VERSION "6.6.2")
+set(AKONADICALENDAR_LIB_VERSION "6.6.3")
+set(AKONADI_VERSION "6.6.3")
+set(CALENDARSUPPORT_LIB_VERSION "6.6.3")
 set(KDEPIM_LIB_VERSION "${PIM_VERSION}")
 set(KDEPIM_LIB_SOVERSION "6")

=== debian/changelog ===
akonadi-calendar-tools (4:25.12.2+p24.04+vstable+git20260216.0452-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Mon, 16 Feb 2026 04:52:34 +0000

akonadi-calendar-tools (4:25.12.2-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Fri, 06 Feb 2026 04:44:47 +0000

## akonadi-calendar-tools 25.12.2+p24.04+vstable+git20260219.0632

=== debian/changelog ===
akonadi-calendar-tools (4:25.12.2+p24.04+vstable+git20260219.0632-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Thu, 19 Feb 2026 06:32:09 +0000

## akonadi-calendar-tools 25.12.2+p24.04+vunstable+git20260207.0432

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,9 +1,9 @@
-cmake_minimum_required(VERSION 3.16 FATAL_ERROR)
-set(PIM_VERSION "6.6.3")
+cmake_minimum_required(VERSION 3.27)
+set(PIM_VERSION "6.6.40")
 project(akonadi-calendar-tools VERSION ${PIM_VERSION})
 
-set(KF_MIN_VERSION "6.18.0")
-set(QT_REQUIRED_VERSION "6.8.0")
+set(KF_MIN_VERSION "6.21.0")
+set(QT_REQUIRED_VERSION "6.9.0")
 find_package(ECM ${KF_MIN_VERSION} CONFIG REQUIRED)
 set(CMAKE_MODULE_PATH ${ECM_MODULE_PATH})
 include(ECMInstallIcons)
@@ -30,7 +30,7 @@
 include(ECMFeatureSummary)
 set(CMAKE_CXX_SCAN_FOR_MODULES OFF)
 # Do NOT add quote
-set(KDEPIM_DEV_VERSION )
+set(KDEPIM_DEV_VERSION alpha)
 
 # add an extra space
 if(DEFINED KDEPIM_DEV_VERSION)
@@ -40,9 +40,9 @@
 set(KDEPIM_VERSION "${PIM_VERSION}${KDEPIM_DEV_VERSION}")
 
 
-set(AKONADICALENDAR_LIB_VERSION "6.6.3")
-set(AKONADI_VERSION "6.6.3")
-set(CALENDARSUPPORT_LIB_VERSION "6.6.3")
+set(AKONADICALENDAR_LIB_VERSION "6.6.40")
+set(AKONADI_VERSION "6.6.40")
+set(CALENDARSUPPORT_LIB_VERSION "6.6.40")
 set(KDEPIM_LIB_VERSION "${PIM_VERSION}")
 set(KDEPIM_LIB_SOVERSION "6")
 
@@ -69,7 +69,12 @@
 
 
 add_definitions(-DQT_NO_CONTEXTLESS_CONNECT)
-ecm_set_disabled_deprecation_versions(QT 6.8.1 KF 6.20.0)
+if(CMAKE_CXX_COMPILER_ID MATCHES "Clang")
+    # Not setting for GNU due to too many warnings related to private members of base classes or around lambdas
+    # see e.g. https://gcc.gnu.org/bugzilla/show_bug.cgi?id=56556 or https://gcc.gnu.org/bugzilla/show_bug.cgi?id=79328
+    string(APPEND CMAKE_CXX_FLAGS " -Wshadow")
+endif()
+ecm_set_disabled_deprecation_versions(QT 6.8.1 KF 6.23.0)
 
 add_definitions(-DQT_NO_EMIT)
 option(USE_UNITY_CMAKE_SUPPORT "Use UNITY cmake support (speedup compile time)" OFF)

=== debian/changelog ===
akonadi-calendar-tools (4:25.12.2+p24.04+vunstable+git20260207.0432-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Sat, 07 Feb 2026 04:32:38 +0000
